com.dlsc.flexgantt.swing.layer.system

## Class RelationshipSelectionEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.swing.layer.system.RelationshipSelectionEvent

- All Implemented Interfaces:
    Serializable

      public class RelationshipSelectionEvent
      extends EventObject

  An event object used to get information about added or removed selections in a `IRelationshipSelectionModel`.
  Since:
    2.0
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RelationshipSelectionEvent.ID` An enum with the different types of events that can occure.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationshipSelectionEvent(IRelationshipSelectionModel model, RelationshipSelectionEvent.ID id, Collection<IRelationship> relationships)` Constructs a new selection event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RelationshipSelectionEvent.ID` | `getId()` Returns the event ID that specifies the type of the event (add, remove).
    `Collection<IRelationship>` | `getRelationships()` Returns the relationships that were added or removed to the selection model.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RelationshipSelectionEvent

          public RelationshipSelectionEvent(IRelationshipSelectionModel model,
                                            RelationshipSelectionEvent.ID id,
                                            Collection<IRelationship> relationships)

      Constructs a new selection event.
      Parameters:
        `model` - the model where the event occured
        `id` - the type of event (add, remove)
        `relationships` - the affected relationships
      Since:
        2.0

  - ### Method Detail

    - #### getId

          public RelationshipSelectionEvent.ID getId()

      Returns the event ID that specifies the type of the event (add, remove).
      Returns:
        the event type id
      Since:
        2.0

    - #### getRelationships

          public Collection<IRelationship> getRelationships()

      Returns the relationships that were added or removed to the selection model.
      Returns:
        the added / removed relationships
      Since:
        2.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.